import { Remote } from 'comlink';
type WorkerType = SharedWorker | Worker;
export declare function createWorkerApi<T>(workerUrl: URL, workerName: string): {
    worker: WorkerType;
    workerApiProxy: Remote<T>;
};
export declare function exposeWorkerApi<T>(worker: WorkerType, api: T): void;
export {};
